import React from 'react';
import { DImageAction } from './ImageAction';
import { DImagePreview } from './ImagePreview';
export interface DImageProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dLoading?: React.ReactNode;
    dError?: React.ReactNode;
    dActions?: React.ReactElement[];
    dImgProps: React.ImgHTMLAttributes<HTMLImageElement>;
}
export declare const DImage: {
    (props: DImageProps): JSX.Element | null;
    Action: typeof DImageAction;
    Preview: typeof DImagePreview;
};
