import React from 'react';
export interface DImagePreviewProps extends React.HTMLAttributes<HTMLDivElement> {
    dList: React.ImgHTMLAttributes<HTMLImageElement>[];
    dActive?: number;
    dVisible?: boolean;
    dZIndex?: number | string;
    dMask?: boolean;
    dMaskClosable?: boolean;
    dEscClosable?: boolean;
    onActiveChange?: (index: number) => void;
    onClose?: () => void;
    afterVisibleChange?: (visible: boolean) => void;
}
export declare function DImagePreview(props: DImagePreviewProps): JSX.Element | null;
