import React from 'react';
export interface DProgressProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dPercent?: number;
    dType?: 'line' | 'circle' | 'dashboard';
    dStatus?: 'success' | 'warning' | 'error' | 'process';
    dWave?: boolean;
    dLineCap?: 'butt' | 'round' | 'square' | 'inherit';
    dLinearGradient?: React.ReactElement<React.SVGProps<SVGLinearGradientElement>>;
    dGapDegree?: number;
    dLabel?: React.ReactNode;
    dSize?: number;
    dLineWidth?: number;
}
export declare function DProgress(props: DProgressProps): JSX.Element | null;
