var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { registerComponentMate } from '../../utils';
import { useComponentConfig, usePrefixConfig } from '../root';
import { DCell } from './Cell';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DTable.Td' });
export function DTableTd(props) {
    const _a = useComponentConfig(COMPONENT_NAME, props), { children, dWidth, dFixed, dAlign = 'left', dEllipsis = false, dNowrap = false } = _a, restProps = __rest(_a, ["children", "dWidth", "dFixed", "dAlign", "dEllipsis", "dNowrap"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    return (_jsx(DCell, Object.assign({}, restProps, { dTag: "td", dWidth: dWidth, dFixed: dFixed, dAlign: dAlign, dEllipsis: dEllipsis, dNowrap: dNowrap }, { children: dNowrap ? children : _jsx("div", Object.assign({ className: `${dPrefix}table__cell-text` }, { children: children })) })));
}
